libappstream3_0.9.4-1_amd64.deb


Advertisement

Description

libappstream3 - Library to access AppStream services

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libappstream3_0.9.4-1_amd64.deb
Package name libappstream3
Package version 0.9.4
Package release 1
Package architecture amd64
Package type deb
Category libs
Homepage http://www.freedesktop.org/wiki/Distributions/AppStream/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 96.23 KB
Installed size 341.00 KB
AppStream is a cross-distribution effort for creating and sharing
metadata of software components available in the package repositories
of a distribution.
It provides specifications for an unified software component metadata format
and provides tools to read, write and validate the metadata.
This package contains a GObject-based library to access AppStream
services, like the software component metadata database.
It also contains functions for working with AppStream XML metadata.

Alternatives

Package Version Architecture Repository
libappstream3_0.9.4-1ubuntu4_i386.deb 0.9.4 i386 Ubuntu Updates Main
libappstream3_0.9.4-1ubuntu4_amd64.deb 0.9.4 amd64 Ubuntu Updates Main
libappstream3_0.9.4-1_i386.deb 0.9.4 i386 Ubuntu Main
libappstream3 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libglib2.0-0 >= 2.46
libprotobuf-lite9v5 -
libstdc++6 >= 5.2
libxapian22v5 -
libxml2 >= 2.7.4
libyaml-0-2 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libappstream3_0.9.4-1_amd64.deb
Source Package appstream

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libappstream3 deb package:
    # sudo apt-get install libappstream3

Files

Path
/usr/lib/x86_64-linux-gnu/libappstream.so.0.9.4
/usr/lib/x86_64-linux-gnu/libappstream.so.3
/usr/share/doc/libappstream3/changelog.Debian.gz
/usr/share/doc/libappstream3/copyright

Changelog

2016-04-18 - Matthias Klumpp <mak@debian.org>
appstream (0.9.4-1) unstable; urgency=medium
* New upstream release: 0.9.4
* Fix autopkgtest
* Update .symbols file
* Bump standards version: No changes needed
* Use secure Vcs-* URLs
2016-03-24 - Matthias Klumpp <mak@debian.org>
appstream (0.9.3-1) unstable; urgency=medium
* New upstream release: 0.9.3
* Update symbols file
2016-02-28 - Matthias Klumpp <mak@debian.org>
appstream (0.9.2-2) unstable; urgency=medium
* Update symbols file
2016-02-28 - Matthias Klumpp <mak@debian.org>
appstream (0.9.2-1) unstable; urgency=medium
* New upstream release: 0.9.2
* Update debian/copyright
* libappstream: Update .symbols file
2016-02-04 - Matthias Klumpp <mak@debian.org>
appstream (0.9.1-1) unstable; urgency=medium
* New upstream release: 0.9.1
* Drop all patches: Applied upstream
2016-01-14 - Matthias Klumpp <mak@debian.org>
appstream (0.9.0-3) unstable; urgency=medium
* Always keep metadata GZip compressed
- Adds compatibility with APT >= 1.2
* Fix test for ascli in APT post-update hook (Closes: #810832)
2015-12-16 - Matthias Klumpp <mak@debian.org>
appstream (0.9.0-2) unstable; urgency=medium
* Ensure all data generated by AppStream gets removed on purge
* Improve the package descriptions slightly
* Don't print status message on apt update (Closes: #807976)
2015-12-12 - Matthias Klumpp <mak@debian.org>
appstream (0.9.0-1) unstable; urgency=medium
* New upstream release: 0.9.0
* Adjust to libappstream ABI break
* Enable APT support
2015-11-06 - Matthias Klumpp <mak@debian.org>
appstream (0.8.6-1) unstable; urgency=medium
* New upstream release: 0.8.6
* Drop all patches: Applied upstream
2015-10-28 - Matthias Klumpp <mak@debian.org>
appstream (0.8.5-2) unstable; urgency=medium
* Don't have libappstream recommend the appstream package
- The library is useful even without having a cache built.
á¹”ackages which need the cache and/or the AppStream utilities
need to explicitly depend on the "appstream" package now.
* Don't print errors when updating data
* Build the Vala API as well

See Also

Package Description
libappstreamqt-dev_0.9.4-1_amd64.deb Qt5 library to access AppStream services (development files)
libappstreamqt1_0.9.4-1_amd64.deb Qt5 library to access AppStream services
libapr1-dev_1.5.2-3_amd64.deb Apache Portable Runtime Library - Development Headers
libapr1_1.5.2-3_amd64.deb Apache Portable Runtime Library
libaprutil1-dbd-sqlite3_1.5.4-1build1_amd64.deb Apache Portable Runtime Utility Library - SQLite3 Driver
libaprutil1-dev_1.5.4-1build1_amd64.deb Apache Portable Runtime Utility Library - Development Headers
libaprutil1-ldap_1.5.4-1build1_amd64.deb Apache Portable Runtime Utility Library - LDAP Driver
libaprutil1_1.5.4-1build1_amd64.deb Apache Portable Runtime Utility Library
libapt-inst2.0_1.2.10ubuntu1_amd64.deb deb package format runtime library
libapt-pkg-dev_1.2.10ubuntu1_amd64.deb development files for APT's libapt-pkg and libapt-inst
libapt-pkg-doc_1.2.10ubuntu1_all.deb documentation for APT development
libapt-pkg-perl_0.1.29build7_amd64.deb Perl interface to libapt-pkg
libapt-pkg5.0_1.2.10ubuntu1_amd64.deb package management runtime library
libarchive-dev_3.1.2-11build1_amd64.deb Multi-format archive and compression library (development files)
libarchive-zip-perl_1.56-2_all.deb Perl module for manipulation of ZIP archives
Advertisement
Advertisement